Hi Thomas,

 

Here are some questiones about your scripts:

1. With the script "send-patch-report.sh", Can I send my perpatch build results to patchwork as checkpatch result in patchwork?

Such as, generate the GUI as blow:

2. Must I create /etc/dpdk/ci.config before using your scripts?

   Because when I run it, it prompted following error message:

   /root/dpdk-cii/tools/load-ci-config.sh: line 5: /etc/dpdk/ci.config: No such file or directory

   /root/dpdk-cii/tools/load-ci-config.sh: line 6: /etc/dpdk/ci.config: No such file or directory

 

3. Some confuse about the parameters in "send-patch-report.sh":

           options:

                -t title    subject of the patch email

                -f from     sender of the patch email

                -m msgid    id of the patch email

                -p listid   mailing list publishing the patch

                -l label    title of the test

                -s status   one of these test results: SUCCESS, WARNING, FAILURE

                -d desc     few words to better describe the status

 

For example, about patch http://www.dpdk.org/dev/patchwork/patch/17673/

-t title    subject of the patch email

   Is it “[dpdk-dev,2/8] drivers/common/dpaa2: Sample descriptors for NXP DPAA2 SEC operations.”?

-f from     sender of the patch email

   Is it the author who send the patch? In patch 17673, is it akhil.goyal@nxp.com?

-m msgid    id of the patch email

   Is it the message-id of this patch? In patch 17673, is it 20161205125540.6419-3-akhil.goyal@nxp.com?

-p listid   mailing list publishing the patch

   Is it the receiver about this patch? In patch 17673, is it dev@dpdk.org?

 

I try to send my result with script “send-patch-report.sh” with below command, but nothing happened.

echo "$report" | /root/dpdk-cii/tools/send-patch-report.sh -t "[dpdk-dev,2/8] drivers/common/dpaa2: Sample descriptors for NXP DPAA2 SEC operations." -f "akhil.goyal@nxp.com" -m "20161205125540.6419-3-akhil.goyal@nxp.com" -p "dev@dpdk.org" -l "Intel Per-patch compilation check" -s "SUCCESS" -d "Compilation OK"

 

 

Best Regards

Fangfang

 

 

-----Original Message-----
From: ci [mailto:ci-bounces@dpdk.org] On Behalf Of Thomas Monjalon
Sent: Monday, December 5, 2016 9:26 PM
To: ci@dpdk.org
Subject: [dpdk-ci] [PATCH v4 7/7] tests: add checkpatch

 

This is the first test in this repository.

It runs on dpdk.org and use checkpatch.pl of Linux.

 

Note that the patch is not applied on a git tree for this basic test.

 

Signed-off-by: Thomas Monjalon <thomas.monjalon@6wind.com>

---

tests/checkpatch.sh | 70 +++++++++++++++++++++++++++++++++++++++++++++++++++++

1 file changed, 70 insertions(+)

create mode 100755 tests/checkpatch.sh

 

diff --git a/tests/checkpatch.sh b/tests/checkpatch.sh new file mode 100755 index 0000000..319da1e

--- /dev/null

+++ b/tests/checkpatch.sh

@@ -0,0 +1,70 @@

+#! /bin/sh -e

+

+# BSD LICENSE

+#

+# Copyright 2016 6WIND S.A.

+#

+# Redistribution and use in source and binary forms, with or without #

+modification, are permitted provided that the following conditions #

+are met:

+#

+#   * Redistributions of source code must retain the above copyright

+#     notice, this list of conditions and the following disclaimer.

+#   * Redistributions in binary form must reproduce the above copyright

+#     notice, this list of conditions and the following disclaimer in

+#     the documentation and/or other materials provided with the

+#     distribution.

+#   * Neither the name of 6WIND S.A. nor the names of its

+#     contributors may be used to endorse or promote products derived

+#     from this software without specific prior written permission.

+#

+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS #

+"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT #

+LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR #

+A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT #

+OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, #

+SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT #

+LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, #

+DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY #

+THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT #

+(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE #

+OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

+

+print_usage () {

+    cat <<- END_OF_HELP

+    usage: $(basename $0) dpdk_dir < email

+

+    Check email-formatted patch from stdin.

+    This test runs checkpatch.pl of Linux via a script in dpdk_dir.

+    END_OF_HELP

+}

+

+while getopts h arg ; do

+    case $arg in

+          h ) print_usage ; exit 0 ;;

+          ? ) print_usage >&2 ; exit 1 ;;

+    esac

+done

+shift $(($OPTIND - 1))

+toolsdir=$(dirname $(readlink -m $0))/../tools

+dpdkdir=$1

+

+email=/tmp/$(basename $0 sh)$$

+$toolsdir/filter-patch-email.sh >$email trap "rm -f $email" INT EXIT

+

+eval $($toolsdir/parse-email.sh $email) # normal exit if no valid patch

+in the email [ -n "$subject" -a -n "$from" ] || exit 0

+

+failed=false

+report=$($dpdkdir/scripts/checkpatches.sh -q $email) || failed=true

+report=$(echo "$report" | sed '1,/^###/d')

+

+label='checkpatch'

+$failed && status='WARNING' || status='SUCCESS'

+$failed && desc='coding style issues' || desc='coding style OK'

+

+echo "$report" | $toolsdir/send-patch-report.sh \

+    -t "$subject" -f "$from" -m "$msgid" -p "$listid" \

+    -l "$label" -s "$status" -d "$desc"

--

2.7.0